Bug 436626 - Shift key does not change capitalization in "Russia Phonetic" layout.
Shift key does not change capitalization in "Russia Phonetic" layout.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 11:09 EST by Alexander Tetervak
Modified: 2008-11-27 17:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 17:44:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
keyboard preferences window (37.84 KB, image/png)
2008-04-05 10:20 EDT, Alexander Tetervak
no flags Details

  None (edit)
Description Alexander Tetervak 2008-03-08 11:09:29 EST
Description of problem:
Shift key does not change capitalization when "Russia Phonetic" layout is selected

Version-Release number of selected component (if applicable):
This bug is new in Fedora 8, it does not happen in Fedora 7. 
It happens in "Russia Phonetic" layout not in "Russia Default" or "U.S. English" 

How reproducible:
always

Steps to Reproduce:
1. Select "Russia Phonetic" layout using Keyboard Preferences > Layouts dialog.
2. Type anything when this layout selected with and without holding shift key.
  
Actual results:
Shift key does not affect capitalization.

Expected results:
Shift key is expected to flip "Caps Lock" temporarily when held, like it happens
in "U.S. English" layout. 

Additional info:
I consider this bug to be important because people outside Russia likely prefer
"Russia Phonetic" layout to "Russia Default" where locations of the letters are
not intuitive.
Perhaps, the easy fix would be to take this layout code from Fedora 7 where it
works fine, or to find out why "Russia Default" works but "Russia Phonetic" does
not, if I knew how ...
Comment 1 Alexander Tetervak 2008-04-05 10:20:21 EDT
Created attachment 301370 [details]
keyboard preferences window

I realized that the problems exists when "U.S. English" is the default but not
listed first, like on the attached screen capture. In this case, it also brakes
copy-paste (via CTRL+C and CTRL+V) in some applications. There are no problems
when "U.S. English" layout is listed first.
Comment 2 Peter Hutterer 2008-08-22 00:02:38 EDT
Tricky problem, but it's xkbcomp's fault.

When the second group is initialised, the type for the first group (ALPHABETIC) is overwritten with the default type (ONE_LEVEL), losing the second level.

I just pushed a patch upstream that fixes this behaviour [1].

[1] http://cgit.freedesktop.org/xorg/app/xkbcomp/commit/?id=36fecff588199a3a6c007f09ff709f3148d40f77

(In reply to comment #1)
> I realized that the problems exists when "U.S. English" is the default but not
> listed first, like on the attached screen capture. In this case, it also brakes
> copy-paste (via CTRL+C and CTRL+V) in some applications. There are no problems
> when "U.S. English" layout is listed first.

Haven't found this one yet, but I think this may be inside Xlib or the application.
Comment 3 Peter Hutterer 2008-08-22 00:42:29 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > I realized that the problems exists when "U.S. English" is the default but not
> > listed first, like on the attached screen capture. In this case, it also brakes
> > copy-paste (via CTRL+C and CTRL+V) in some applications. There are no problems
> > when "U.S. English" layout is listed first.
> 
> Haven't found this one yet, but I think this may be inside Xlib or the
> application.

Works fine in xterm, so I guess this may be gtk/gnome related. Adding behdad, maybe he can chime in here.
Comment 4 Behdad Esfahbod 2008-08-22 00:51:16 EDT
How does it work in gedit?  Is it different from in gnome-terminal?
Comment 5 Peter Hutterer 2008-08-22 01:06:02 EDT
Ctrl + D in gnome-terminal produces character
Ctrl + D in gedit deletes current line
Comment 6 Fedora Update System 2008-08-25 03:19:20 EDT
xorg-x11-xkb-utils-7.2-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xorg-x11-xkb-utils-7.2-6.fc9
Comment 7 Fedora Update System 2008-09-10 02:33:14 EDT
xorg-x11-xkb-utils-7.2-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-xkb-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7550
Comment 8 Fedora Update System 2008-09-24 20:19:45 EDT
xorg-x11-xkb-utils-7.2-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Bug Zapper 2008-11-26 05:04:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Peter Hutterer 2008-11-27 17:44:06 EST
Bug was fixed in F9. Closing.

Note You need to log in before you can comment on or make changes to this bug.